Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class PhoneticizeField

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.PhoneticizeField

public class PhoneticizeField
extends java.lang.Object

Represents the configuration of a field to phoneticize.

Constructor Summary
`PhoneticizeField(java.lang.String aEncodingType, java.lang.String aPhoneticizerFieldID, SystemObjectField aSourceField, SystemObjectField aTargetField)` Creates new PhoeneticizeField.

Method Summary
`java.lang.String` | `getEncodingType()` Getter for EncodingType.
`java.lang.String` | `getPhoneticizerFieldID()` Getter for PhoneticizerFieldID.
`SystemObjectField` | `getSourceField()` Getter for SourceField.
`SystemObjectField` | `getTargetField()` Getter for TargetField.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhoneticizeField

    public PhoneticizeField(java.lang.String aEncodingType,
                            java.lang.String aPhoneticizerFieldID,
                            SystemObjectField aSourceField,
                            SystemObjectField aTargetField)

  Creates new PhoeneticizeField.

  Parameters:
    `aEncodingType` - The encoding type corresponding to an available phonetic encoder.
    `aPhoneticizerFieldID` - An optional encoder specific ID for the field if the encoder supports it.
    `aSourceField` - The field from which to get the value to encode.
    `aTargetField` - The field to which to write the encoded version.

Method Detail

### getEncodingType

    public java.lang.String getEncodingType()

  Getter for EncodingType.

  Returns:
    The encoding type corresponding to an available phonetic encoder.

### getPhoneticizerFieldID

    public java.lang.String getPhoneticizerFieldID()

  Getter for PhoneticizerFieldID.

  Returns:
    an optional encoder specific ID for the field if the encoder supports it.

### getSourceField

    public SystemObjectField getSourceField()

  Getter for SourceField.

  Returns:
    the definition of the field from which to get the value to encode.

### getTargetField

    public SystemObjectField getTargetField()

  Getter for TargetField.

  Returns:
    the definition of the field to which to write the encoded version.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.